"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: function() {
        return PreviewWidget;
    }
});
const _define_property = require("@swc/helpers/_/_define_property");
const _view = require("@codemirror/view");
let PreviewWidget = class PreviewWidget extends _view.WidgetType {
    eq(widget) {
        return widget.file === this.file;
    }
    toDOM() {
        // todo: add element to another layer to prevent cursor problem
        const preview = window.document.createElement('span');
        preview.contentEditable = 'false';
        preview.innerHTML = `<img src="${this.file}" aria-hidden="true" />`;
        preview.className = 'cm-image-preview__content';
        return preview;
    }
    constructor(file){
        super();
        _define_property._(this, "file", void 0);
        this.file = file;
    }
};
