import { _ as _define_property } from "@swc/helpers/_/_define_property";
import { WidgetType } from '@codemirror/view';
let PreviewWidget = class PreviewWidget extends WidgetType {
    eq(widget) {
        return widget.file === this.file;
    }
    toDOM() {
        // todo: add element to another layer to prevent cursor problem
        const preview = window.document.createElement('span');
        preview.contentEditable = 'false';
        preview.innerHTML = `<img src="${this.file}" aria-hidden="true" />`;
        preview.className = 'cm-image-preview__content';
        return preview;
    }
    constructor(file){
        super();
        _define_property(this, "file", void 0);
        this.file = file;
    }
};
export { PreviewWidget as default };
