import { type DecorationSet, EditorView, type PluginValue, ViewPlugin, ViewUpdate } from '@codemirror/view';
interface UploadCallback {
    progress: (percent: number) => void;
    fail: (error: Error) => void;
    success: (url: string) => void;
}
export interface UploadActionParams {
    id: string;
    file: File;
    callback: UploadCallback;
}
export interface UploadOption {
    multiple: boolean;
    accept: string;
    action: (params: UploadActionParams) => void;
    generateId: (file: File) => string | Promise<string>;
}
export declare class UploadPlugin implements PluginValue {
    private readonly view;
    decorations: DecorationSet;
    private readonly options;
    constructor(view: EditorView, options: Partial<Omit<UploadOption, 'action'>> & Pick<UploadOption, 'action'>);
    private handleUploadFile;
    private uploadFiles;
    selectTrigger: HTMLInputElement | undefined;
    private createSelector;
    private selectFile;
    private uploadStateChanged;
    private renderWidgets;
    update(update: ViewUpdate): void;
}
declare const uploadPlugin: (options: ConstructorParameters<typeof UploadPlugin>[1]) => ViewPlugin<UploadPlugin>;
export default uploadPlugin;
