"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: function() {
        return UploadWidget;
    }
});
const _define_property = require("@swc/helpers/_/_define_property");
const _view = require("@codemirror/view");
const _consts = require("./consts");
let UploadWidget = class UploadWidget extends _view.WidgetType {
    toDOM() {
        const { id } = this;
        const item = _consts.FILE_CACHE.get(id);
        const el = window.document.createElement('span');
        el.className = 'cm-image-upload';
        if (item.status === 'uploading') {
            const progress = window.document.createElement('span');
            progress.className = 'cm-image-upload--uploading';
            progress.innerText = item.progress + '%';
            el.appendChild(progress);
        } else if (item.status === 'error') {
            el.classList.add('cm-image-upload--failed');
            el.innerText = `Failed: ${item.error || 'upload failed'}`;
        }
        return el;
    }
    // public readonly progress: number;
    constructor(id){
        super();
        _define_property._(this, "id", void 0);
        this.id = id;
    }
};
