import { _ as _define_property } from "@swc/helpers/_/_define_property";
import { WidgetType } from '@codemirror/view';
import { FILE_CACHE } from './consts';
let UploadWidget = class UploadWidget extends WidgetType {
    toDOM() {
        const { id } = this;
        const item = FILE_CACHE.get(id);
        const el = window.document.createElement('span');
        el.className = 'cm-image-upload';
        if (item.status === 'uploading') {
            const progress = window.document.createElement('span');
            progress.className = 'cm-image-upload--uploading';
            progress.innerText = item.progress + '%';
            el.appendChild(progress);
        } else if (item.status === 'error') {
            el.classList.add('cm-image-upload--failed');
            el.innerText = `Failed: ${item.error || 'upload failed'}`;
        }
        return el;
    }
    // public readonly progress: number;
    constructor(id){
        super();
        _define_property(this, "id", void 0);
        this.id = id;
    }
};
export { UploadWidget as default };
