"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "generateId", {
    enumerable: true,
    get: function() {
        return generateId;
    }
});
const _sparkmd5 = require("spark-md5");
const _consts = require("./consts");
const generateId = async (file)=>{
    if (file.size < _consts.SIZE_128K) {
        return _sparkmd5.ArrayBuffer.hash(await file.arrayBuffer());
    }
    const start = await file.slice(0, _consts.SIZE_64K).arrayBuffer();
    const end = await file.slice(-_consts.SIZE_64K).arrayBuffer();
    const buf = new _sparkmd5.ArrayBuffer();
    buf.append(start);
    buf.append(end);
    return buf.end();
}; // let db: IDBPDatabase<CacheItem> | Promise<IDBPDatabase<CacheItem>> | undefined = undefined;
 // export const getDB = async () => {
 //     if (!db) {
 //         try {
 //             const createDB = openDB<CacheItem>(DB_NAME, DB_VERSION, {
 //                 terminated: () => {
 //                     db = undefined;
 //                 },
 //                 upgrade(db: IDBPDatabase<CacheItem>) {
 //                     db.createObjectStore(DB_CACHE_STORE, {
 //                         keyPath: 'id',
 //                         autoIncrement: false,
 //                     });
 //                 },
 //             });
 //
 //             db = createDB;
 //
 //             db = await createDB;
 //
 //             return db;
 //         } catch (e) {
 //             return undefined;
 //         }
 //     }
 //
 //     return db;
 // };
